Bug 196599 - [UPDATE] graphics/poppler to 0.30.0 and slaves ports
Summary: [UPDATE] graphics/poppler to 0.30.0 and slaves ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-12 16:55 UTC by Olivier Duchateau
Modified: 2015-02-03 12:29 UTC (History)
2 users (show)

See Also:
kwm: exp-run?


Attachments
Update graphics/poppler and slaves ports to 0.30.0 (11.82 KB, patch)
2015-01-13 20:31 UTC, Olivier Duchateau
no flags Details | Diff
Poppler 0.30.0 update with inkscape patch. (24.58 KB, patch)
2015-01-29 23:32 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2015-01-12 16:55:32 UTC

    
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2015-01-12 16:56:16 UTC
- Update to 0.28.1
 
No diff for graphics/poppler-utils because there's no changes.
Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2015-01-12 18:47:10 UTC
Hi,

Due to an issue with the backend FreeBSD Bugzilla database, your original PR and any updates to it since have been lost.  I've recreated the original PR as best as I can, however any attachments and updates you submitted to the PR have been lost.  Please could you resubmit them?

Thanks, and apologies.
Comment 3 Olivier Duchateau freebsd_committer 2015-01-13 20:31:02 UTC
Created attachment 151583 [details]
Update graphics/poppler and slaves ports to 0.30.0
Comment 4 Olivier Duchateau freebsd_committer 2015-01-13 20:31:53 UTC
Re-assign to the GNOME team.
Comment 5 Koop Mast freebsd_committer 2015-01-29 23:32:28 UTC
Created attachment 152354 [details]
Poppler 0.30.0 update with inkscape patch.
Comment 6 Antoine Brodin freebsd_committer 2015-01-30 18:55:33 UTC
Take for exp-run
Comment 8 commit-hook freebsd_committer 2015-02-03 12:29:35 UTC
A commit references this bug:

Author: kwm
Date: Tue Feb  3 12:28:39 UTC 2015
New revision: 378348
URL: https://svnweb.freebsd.org/changeset/ports/378348

Log:
  Update poppler to 0.30.0 [1].

  Make sure we use openjpeg1 in poppler, while openjpeg2 support
  was added there still bugs in openjpeg2 that need to be fixed.
  Add patches to inkscape for API changes in poppler 0.29.0 [2].

  PR:		196599 [1]
  Submitted by:	olivierd@ [1]
  Exp-run by:	antoine@
  Obtained from:	upstream [2]

Changes:
  head/converters/pdf2djvu/Makefile
  head/databases/kbibtex/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/editors/calligra/Makefile
  head/editors/libreoffice/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/texmaker/Makefile
  head/editors/texstudio/Makefile
  head/editors/texworks/Makefile
  head/graphics/apvlv/Makefile
  head/graphics/atril/Makefile
  head/graphics/electrix/Makefile
  head/graphics/epdfview/Makefile
  head/graphics/evas_generic_loaders-pdf/Makefile
  head/graphics/evince/Makefile
  head/graphics/gdal/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/inkscape/files/configure.ac
  head/graphics/inkscape/files/patch-config.h.in
  head/graphics/inkscape/files/patch-configure
  head/graphics/inkscape/files/patch-src_extension_internal_pdfinput_pdf-parser.cpp
  head/graphics/okular/Makefile
  head/graphics/pdf2svg/Makefile
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
  head/graphics/poppler/files/patch-glib_Makefile.in
  head/graphics/poppler/files/patch-utils_Makefile.in
  head/graphics/poppler/pkg-plist
  head/graphics/poppler-glib/Makefile
  head/graphics/poppler-qt4/pkg-plist
  head/graphics/poppler-qt5/pkg-plist
  head/graphics/py-poppler/Makefile
  head/graphics/py-poppler-qt4/Makefile
  head/graphics/qcomicbook/Makefile
  head/graphics/xournal/Makefile
  head/graphics/zathura-pdf-poppler/Makefile
  head/mail/claws-mail-pdf_viewer/Makefile
  head/misc/tellico-kde4/Makefile
  head/print/cups-filters/Makefile
  head/print/deforaos-pdfviewer/Makefile
  head/print/pdfcube/Makefile
  head/print/qpdfview/Makefile
  head/print/tex-luatex/Makefile
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/sysutils/kfilemetadata/Makefile
  head/sysutils/nepomuk-core/Makefile
  head/sysutils/tracker/Makefile
  head/textproc/pdfgrep/Makefile
  head/x11/eaglemode/Makefile
  head/x11-fm/gnome-commander2/Makefile
  head/x11-toolkits/rubygem-poppler/Makefile